package com.dcsoft.system.service;

import java.util.List;
import com.dcsoft.system.domain.SysEmpowerRecord;

/**
 * 授权记录Service接口
 *
 * @author nichun
 * @date 2023-03-08
 */
public interface ISysEmpowerRecordService
{
    /**
     * 查询授权记录
     *
     * @param id 授权记录主键
     * @return 授权记录
     */
    public SysEmpowerRecord selectSysEmpowerRecordById(Long id);

    /**
     * 查询授权记录列表
     *
     * @param sysEmpowerRecord 授权记录
     * @return 授权记录集合
     */
    public List<SysEmpowerRecord> selectSysEmpowerRecordList(SysEmpowerRecord sysEmpowerRecord);

    /**
     * 新增授权记录
     *
     * @param sysEmpowerRecord 授权记录
     * @return 结果
     */
    public int insertSysEmpowerRecord(SysEmpowerRecord sysEmpowerRecord);

    /**
     * 修改授权记录
     *
     * @param sysEmpowerRecord 授权记录
     * @return 结果
     */
    public int updateSysEmpowerRecord(SysEmpowerRecord sysEmpowerRecord);

    /**
     * 批量删除授权记录
     *
     * @param ids 需要删除的授权记录主键集合
     * @return 结果
     */
    public int deleteSysEmpowerRecordByIds(Long[] ids);

    /**
     * 删除授权记录信息
     *
     * @param id 授权记录主键
     * @return 结果
     */
    public int deleteSysEmpowerRecordById(Long id);

    public int deleteSysEmpowerRecordByPeopleId(Long peopleId);
}
